summaryrefslogtreecommitdiff
path: root/jenkins
diff options
context:
space:
mode:
authorTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-11-14 05:08:29 +0000
committerTCWG BuildSlave <tcwg-buildslave@linaro.org>2023-11-14 05:08:29 +0000
commitf1d39e08f56350924d5d11f7a0bfb7476a0a0854 (patch)
treeb4c11502998999803a627f9d891c4be5254674e6 /jenkins
parentc2cccce06c918a013dc569880494bad83c09304e (diff)
onsuccess: #793: 1: [TCWG CI] https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/793/
Results : | # reset_artifacts: | -10 | # init_abe_sysroot: | 0 | # build_abe glibc -- --disable install: | 1 check_regression status : 0
Diffstat (limited to 'jenkins')
-rw-r--r--jenkins/build-name2
-rw-r--r--jenkins/notify-full.log1169
-rw-r--r--jenkins/notify-init.log307
-rw-r--r--jenkins/run-build.env8
4 files changed, 1310 insertions, 176 deletions
diff --git a/jenkins/build-name b/jenkins/build-name
index 129ed5e..8b34c47 100644
--- a/jenkins/build-name
+++ b/jenkins/build-name
@@ -1 +1 @@
-#792-glibc-R1
+#793-glibc-R1
diff --git a/jenkins/notify-full.log b/jenkins/notify-full.log
index cda75f3..8c5ee16 100644
--- a/jenkins/notify-full.log
+++ b/jenkins/notify-full.log
@@ -26,26 +26,26 @@
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/791/
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/791/'
+# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/792/
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/792/'
# Using dir : base-artifacts
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/792/
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/792/'
+# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/793/
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/793/'
# Using dir : artifacts
+
+ echo '# Using dir : artifacts'
+ echo ''
-
+ mkdir -p artifacts/notify
+ '[' -f /home/tcwg-buildslave/.jipdate.yml ']'
+ set +x
+ declare -Ag pw
+ '[' ignore = precommit ']'
-+ check_source_changes
# check_source_changes
++ check_source_changes
+ echo '# check_source_changes'
++ get_current_manifest '{rr[update_baseline]}'
++ get_manifest artifacts/manifest.sh '{rr[update_baseline]}'
@@ -76,7 +76,7 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' x2f5524cc5381eb75fef55f7901bb907bd5628333 '!=' x2d27dc1c750849f888b38fa7f0dadf6b376095de ']'
+++ '[' x8f22e36238c94e2a89da624e03c224895f9dd691 '!=' x2f5524cc5381eb75fef55f7901bb907bd5628333 ']'
++ echo -ne glibc
++ delim=' '
++ echo
@@ -89,17 +89,17 @@
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ first_bad=2f5524cc5381eb75fef55f7901bb907bd5628333
++ first_bad=8f22e36238c94e2a89da624e03c224895f9dd691
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ last_good=2d27dc1c750849f888b38fa7f0dadf6b376095de
++ last_good=2f5524cc5381eb75fef55f7901bb907bd5628333
+ local res
+ res=0
-+ wait 61577
++ wait 72284
+ git -C glibc rev-parse --verify HEAD
+ assert_with_msg 'Cannot parse HEAD in repo glibc' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
@@ -113,22 +113,22 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=2d27dc1c750849f888b38fa7f0dadf6b376095de
++ base_rev=2f5524cc5381eb75fef55f7901bb907bd5628333
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=2f5524cc5381eb75fef55f7901bb907bd5628333
-++ git -C glibc rev-parse '2f5524cc5381eb75fef55f7901bb907bd5628333^@'
++ cur_rev=8f22e36238c94e2a89da624e03c224895f9dd691
+++ git -C glibc rev-parse '8f22e36238c94e2a89da624e03c224895f9dd691^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' 3d7090f14b13312320e425b27dcf0fe72de026fd = 2d27dc1c750849f888b38fa7f0dadf6b376095de ']'
-+ return 1
-+ change_kind=single_component
++ '[' 2f5524cc5381eb75fef55f7901bb907bd5628333 = 2f5524cc5381eb75fef55f7901bb907bd5628333 ']'
++ return 0
++ change_kind=single_commit
# Debug traces :
+# change_kind=single_commit : glibc
+ echo '# Debug traces :'
-# change_kind=single_component : glibc
-+ echo '# change_kind=single_component : glibc'
++ echo '# change_kind=single_commit : glibc'
+ for c in "${changed_components[@]}"
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
@@ -136,18 +136,18 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=2d27dc1c750849f888b38fa7f0dadf6b376095de
++ base_rev=2f5524cc5381eb75fef55f7901bb907bd5628333
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=2f5524cc5381eb75fef55f7901bb907bd5628333
-++ git -C glibc rev-list --count 2d27dc1c750849f888b38fa7f0dadf6b376095de..2f5524cc5381eb75fef55f7901bb907bd5628333
-+ c_commits=3
-+ echo '# rev for glibc : 2d27dc1c750849f888b38fa7f0dadf6b376095de..2f5524cc5381eb75fef55f7901bb907bd5628333 (3 commits)'
-# rev for glibc : 2d27dc1c750849f888b38fa7f0dadf6b376095de..2f5524cc5381eb75fef55f7901bb907bd5628333 (3 commits)
++ cur_rev=8f22e36238c94e2a89da624e03c224895f9dd691
+++ git -C glibc rev-list --count 2f5524cc5381eb75fef55f7901bb907bd5628333..8f22e36238c94e2a89da624e03c224895f9dd691
++ c_commits=1
+# rev for glibc : 2f5524cc5381eb75fef55f7901bb907bd5628333..8f22e36238c94e2a89da624e03c224895f9dd691 (1 commits)
++ echo '# rev for glibc : 2f5524cc5381eb75fef55f7901bb907bd5628333..8f22e36238c94e2a89da624e03c224895f9dd691 (1 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -171,11 +171,264 @@
+ print_config_f=gnu_print_config
+ post_interesting_commits init
+ set -euf -o pipefail
-+ echo '# post_interesting_commits'
# post_interesting_commits
++ echo '# post_interesting_commits'
++ local stage=init
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
++ '[' 0 -eq 3 ']'
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 72364
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=3fff29f42
+++ '[' 0 -ne 0 ']'
+++ echo 3fff29f42
++ sha1=3fff29f42
++ git -C interesting-commits checkout --detach 3fff29f42
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ 46de559a1 Add entry 8f22e36238c94e2a89da624e03c224895f9dd691 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/793/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> 46de559a1
+
+HEAD is now at 3fff29f42 Add entry 879cf9ff45d94065d89e24b71c6b27c7076ac518 from https://ci.linaro.org/job/tcwg_gnu_embed_check_gcc--master-arm_eabi-build/462/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir glibc 8f22e36238c94e2a89da624e03c224895f9dd691
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
++ jira_dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
++ jira_dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/jira
++ '[' init = full ']'
++ true
++ git -C interesting-commits remote update -p
+Fetching baseline
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
+# update_interesting_commits
++ update_interesting_commits init ''
++ echo '# update_interesting_commits'
+ local stage=init
-+ '[' single_component '!=' single_commit ']'
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir glibc 8f22e36238c94e2a89da624e03c224895f9dd691
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
++ subdir3=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
+++ interesting_subdir glibc 8f22e36238c94e2a89da624e03c224895f9dd691 tcwg_glibc_build
+++ local dir=glibc/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
+++ '[' 3 -ge 3 ']'
+++ dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build
+++ '[' 3 -ge 4 ']'
+++ echo glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build
++ subdir4=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build
+++ interesting_subdir glibc 8f22e36238c94e2a89da624e03c224895f9dd691 tcwg_glibc_build master-aarch64
+++ local dir=glibc/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
+++ '[' 4 -ge 3 ']'
+++ dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build
+++ '[' 4 -ge 4 ']'
+++ dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64
+++ echo glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64
++ subdir5=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64
++ '[' -d interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691 ']'
++ mkdir -p interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/first_url
++ mkdir -p interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ echo 2f5524cc5381eb75fef55f7901bb907bd5628333
++ git -C interesting-commits add glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64/build_url glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64/last_good
++ '[' init '!=' full ']'
+ return
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry 8f22e36238c94e2a89da624e03c224895f9dd691 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/793/'
+[detached HEAD 3d8136346] Add entry 8f22e36238c94e2a89da624e03c224895f9dd691 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/793/
+ 3 files changed, 3 insertions(+)
+ create mode 100644 glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/first_url
+ create mode 100644 glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64/build_url
+ create mode 100644 glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64/last_good
++ wait 84872
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
+ '[' full '!=' full ']'
+ gnu_generate_extra_details
+ set -euf -o pipefail
@@ -184,15 +437,578 @@
+ check_if_first_report
+ declare -g first_icommit_to_report
+ first_icommit_to_report=false
-+ '[' xsingle_component '!=' xsingle_commit ']'
-+ return
++ '[' xsingle_commit '!=' xsingle_commit ']'
++ local isubdir
+++ interesting_subdir glibc 8f22e36238c94e2a89da624e03c224895f9dd691
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
++ isubdir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
++ '[' -f interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/first_url ']'
++ local first_url
+++ cat interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/first_url
++ first_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/793/
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ '[' https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/793/ = https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/793/ ']'
++ first_icommit_to_report=true
+ post_interesting_commits full
+ set -euf -o pipefail
-# post_interesting_commits
+ echo '# post_interesting_commits'
+# post_interesting_commits
+ local stage=full
-+ '[' single_component '!=' single_commit ']'
-+ return
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
++ '[' 0 -eq 3 ']'
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 84942
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=3fff29f42
+++ '[' 0 -ne 0 ']'
+++ echo 3fff29f42
++ sha1=3fff29f42
++ git -C interesting-commits checkout --detach 3fff29f42
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ 3d8136346 Add entry 8f22e36238c94e2a89da624e03c224895f9dd691 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/793/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> 3d8136346
+
+HEAD is now at 3fff29f42 Add entry 879cf9ff45d94065d89e24b71c6b27c7076ac518 from https://ci.linaro.org/job/tcwg_gnu_embed_check_gcc--master-arm_eabi-build/462/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir glibc 8f22e36238c94e2a89da624e03c224895f9dd691
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
++ jira_dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
++ jira_dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/jira
++ '[' full = full ']'
++ false
++ true
++ git -C interesting-commits remote update -p
+Fetching baseline
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
+# update_interesting_commits
++ update_interesting_commits full ''
++ echo '# update_interesting_commits'
++ local stage=full
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir glibc 8f22e36238c94e2a89da624e03c224895f9dd691
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
++ subdir3=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
+++ interesting_subdir glibc 8f22e36238c94e2a89da624e03c224895f9dd691 tcwg_glibc_build
+++ local dir=glibc/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
+++ '[' 3 -ge 3 ']'
+++ dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build
+++ '[' 3 -ge 4 ']'
+++ echo glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build
++ subdir4=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build
+++ interesting_subdir glibc 8f22e36238c94e2a89da624e03c224895f9dd691 tcwg_glibc_build master-aarch64
+++ local dir=glibc/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
+++ '[' 4 -ge 3 ']'
+++ dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build
+++ '[' 4 -ge 4 ']'
+++ dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64
+++ echo glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64
++ subdir5=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64
++ '[' -d interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691 ']'
++ mkdir -p interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/first_url
++ mkdir -p interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ echo 2f5524cc5381eb75fef55f7901bb907bd5628333
++ git -C interesting-commits add glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64/build_url glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64/last_good
++ '[' full '!=' full ']'
++ gnu_print_result --oneline
++ false
++ local print_arg=--oneline
++ '[' -d artifacts/sumfiles ']'
++ print_result --oneline
++ false
++ local print_arg=--oneline
++ case "$print_arg" in
++ '[' 0 = 0 ']'
++ echo Success
++ return 0
++ merge_status_summary interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build
++ set -euf -o pipefail
++ local subdir=interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build
++ local cur_file cur best= best_file
++ read -r cur_file
+++ find interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build -mindepth 2 -maxdepth 2 -name status-summary.txt
+++ sort
+++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64/status-summary.txt
++ cur=Success
++ '[' Success -le '' ']'
+/home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/round-robin-notify.sh: line 1030: [: Success: integer expression expected
++ best=Success
++ best_file=interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64/status-summary.txt
++ read -r cur_file
++ cat interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64/status-summary.txt
++ merge_status_summary interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
++ set -euf -o pipefail
++ local subdir=interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
++ local cur_file cur best= best_file
++ read -r cur_file
+++ find interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691 -mindepth 2 -maxdepth 2 -name status-summary.txt
+++ sort
+++ sed -e 's/.* \([0-9]\+\)[ %].*/\1/' interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/status-summary.txt
++ cur=Success
++ '[' Success -le '' ']'
+/home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/round-robin-notify.sh: line 1030: [: Success: integer expression expected
++ best=Success
++ best_file=interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/status-summary.txt
++ read -r cur_file
++ cat interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/status-summary.txt
++ git -C interesting-commits add glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64/status-summary.txt glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/status-summary.txt glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/status-summary.txt
++ gnu_print_result --long
++ false
++ local print_arg=--long
++ '[' -d artifacts/sumfiles ']'
++ print_result --long
++ false
++ local print_arg=--long
++ case "$print_arg" in
++ echo 'Results changed to'
+++ cat artifacts/results
++ echo '# reset_artifacts:
+-10
+# init_abe_sysroot:
+0
+# build_abe glibc -- --disable install:
+1'
++ echo ''
++ echo From
+++ cat base-artifacts/results
++ echo '# reset_artifacts:
+-10
+# init_abe_sysroot:
+0
+# build_abe glibc -- --disable install:
+1'
++ return 0
++ cat interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64/status-summary.txt
++ sed 's/^/* /'
++ print_icommits_link glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64/details.txt
++ set -euf -o pipefail
++ local path=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64/details.txt
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64/details.txt
++ cat interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64/build_url
++ git -C interesting-commits add glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64/details.txt glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64/status.txt
++ '[' -f interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64/summary.txt ']'
++ local bad_artifacts_url good_artifacts_url
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/793/artifact/artifacts
+++ get_baseline_manifest BUILD_URL
+++ get_manifest base-artifacts/manifest.sh BUILD_URL false
+++ set +x
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/792/artifact/artifacts
++ cat
++ git -C interesting-commits add glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
++ local ci_config
++ read ci_config
+++ cd interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build
+++ ls
++ '[' -f interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64/summary.txt ']'
++ '[' -f interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64/status.txt ']'
++ echo '* master-aarch64'
++ cat interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64/status.txt
++ sed 's/^/*/'
++ read ci_config
++ '[' -f interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/status-summary.txt/summary.txt ']'
++ '[' -f interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/status-summary.txt/status.txt ']'
++ continue
++ read ci_config
++ '[' -f interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/status.txt/summary.txt ']'
++ '[' -f interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/status.txt/status.txt ']'
++ continue
++ read ci_config
++ git -C interesting-commits add glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/status.txt
++ local ci_project
++ read ci_project
+++ cd interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
+++ ls
++ '[' -f interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/first_url/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/status-summary.txt/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/status.txt/status.txt ']'
++ continue
++ read ci_project
++ '[' -f interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/status.txt ']'
++ echo '* tcwg_glibc_build'
++ cat interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/status.txt
++ sed 's/^/*/'
++ read ci_project
++ git -C interesting-commits add glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/status.txt
++ print_commits --short
++ set -euf -o pipefail
++ false
++ local print_arg=--short
++ '[' single_commit = no_change ']'
++ local more_lines
++ '[' single_commit = single_commit ']'
++ local c=glibc
++ '[' --short = --link ']'
++ local describe
++ '[' '' = '' ']'
+++ describe_sha1 glibc 8f22e36238c94e2a89da624e03c224895f9dd691 true
+++ local component=glibc
+++ local sha1=8f22e36238c94e2a89da624e03c224895f9dd691
+++ local anything=true
+++ match=()
+++ local -a match
+++ case "$component" in
+++ git -C glibc describe 8f22e36238c94e2a89da624e03c224895f9dd691
++ describe=glibc-2.38.9000-254-g8f22e36238
+++ echo glibc-2.38.9000-254-g8f22e36238
+++ sed 's,^basepoints/,,'
++ describe=glibc-2.38.9000-254-g8f22e36238
++ '[' --short = --oneline ']'
++ '[' '' = '' ']'
++ echo 'commit glibc-2.38.9000-254-g8f22e36238'
++ local tmpfile
+++ mktemp
++ tmpfile=/tmp/tmp.VAmQxUeOxy
++ git -C glibc log -n1 8f22e36238c94e2a89da624e03c224895f9dd691
++ tail -n +2
++ head -n 10 /tmp/tmp.VAmQxUeOxy
+++ cat /tmp/tmp.VAmQxUeOxy
+++ wc -l
++ more_lines=2
++ '[' 2 -gt 0 ']'
++ echo '... 2 lines of the commit log omitted.'
++ rm /tmp/tmp.VAmQxUeOxy
++ '[' '' '!=' '' ']'
++ return 0
++ git -C interesting-commits add glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/commit-log.txt
++ true
++ local jira_dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/jira
++ '[' -f interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/jira/key ']'
++ '[' -e interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/jira ']'
++ mkdir interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/jira
++ '[' '' '!=' '' ']'
+++ print_commits --oneline
+++ set -euf -o pipefail
+++ false
+++ local print_arg=--oneline
+++ '[' single_commit = no_change ']'
+++ local more_lines
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --oneline = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 glibc 8f22e36238c94e2a89da624e03c224895f9dd691 true
++++ local component=glibc
++++ local sha1=8f22e36238c94e2a89da624e03c224895f9dd691
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ git -C glibc describe 8f22e36238c94e2a89da624e03c224895f9dd691
+++ describe=glibc-2.38.9000-254-g8f22e36238
++++ echo glibc-2.38.9000-254-g8f22e36238
++++ sed 's,^basepoints/,,'
+++ describe=glibc-2.38.9000-254-g8f22e36238
+++ '[' --oneline = --oneline ']'
+++ echo glibc-2.38.9000-254-g8f22e36238
+++ return 0
+++ cat interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/status-summary.txt
++ echo glibc-2.38.9000-254-g8f22e36238: Success
++ git -C interesting-commits add glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/jira/summary
++ cat
+++ cat interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/commit-log.txt
+++ cat interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/status.txt
+++ print_icommits_link glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/jira/yaml
+++ set -euf -o pipefail
+++ local path=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/jira/yaml
+++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
+++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/jira/yaml
++ git -C interesting-commits add glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/jira/description
++ update_jira_card
++ set -euf -o pipefail
++ echo '# update_jira_card'
+# update_jira_card
++ local jira_dir
+++ interesting_subdir glibc 8f22e36238c94e2a89da624e03c224895f9dd691
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
++ jira_dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
++ jira_dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/jira
++ components=()
++ local -a components
++ case "$changed_single_component" in
++ components+=(Glibc)
++ IFS=,
++ echo Glibc
++ git -C interesting-commits add glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/jira/components
++ local commit_date
+++ git -C glibc log -n1 --pretty=%cd --date=iso 8f22e36238c94e2a89da624e03c224895f9dd691
++ commit_date='2023-11-14 02:05:52 +0100'
++ date -d '2023-11-14 02:05:52 +0100' +%Y-%m-%d
++ git -C interesting-commits add glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/jira/startdate
++ local key project
+++ print_jira_card_key
+++ set -euf -o pipefail
+++ local jira_dir
++++ interesting_subdir glibc 8f22e36238c94e2a89da624e03c224895f9dd691
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
+++ jira_dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
+++ jira_dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/jira
+++ '[' -f interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/jira/key ']'
+++ return 0
++ key=
++ '[' -z '' ']'
++ echo 'WARNING: no existing jira card interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/jira/key'
+WARNING: no existing jira card interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/jira/key
++ return 0
++ local describe
+++ describe_sha1 glibc 8f22e36238c94e2a89da624e03c224895f9dd691 false
+++ local component=glibc
+++ local sha1=8f22e36238c94e2a89da624e03c224895f9dd691
+++ local anything=false
+++ match=()
+++ local -a match
+++ case "$component" in
+++ git -C glibc describe 8f22e36238c94e2a89da624e03c224895f9dd691
++ describe=glibc-2.38.9000-254-g8f22e36238
++ '[' glibc-2.38.9000-254-g8f22e36238 '!=' '' ']'
++ local d
+++ dirname glibc-2.38.9000-254-g8f22e36238
++ d=.
++ mkdir -p interesting-commits/glibc/.
++ local symlink=
++ '[' . '!=' . ']'
++ symlink=sha1/8f22e36238c94e2a89da624e03c224895f9dd691
++ rm -f interesting-commits/glibc/glibc-2.38.9000-254-g8f22e36238
++ ln -s sha1/8f22e36238c94e2a89da624e03c224895f9dd691 interesting-commits/glibc/glibc-2.38.9000-254-g8f22e36238
++ git -C interesting-commits add glibc/glibc-2.38.9000-254-g8f22e36238
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry 8f22e36238c94e2a89da624e03c224895f9dd691 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/793/'
+[detached HEAD a31cdb5b8] Add entry 8f22e36238c94e2a89da624e03c224895f9dd691 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/793/
+ 17 files changed, 84 insertions(+)
+ create mode 120000 glibc/glibc-2.38.9000-254-g8f22e36238
+ create mode 100644 glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/commit-log.txt
+ create mode 100644 glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/first_url
+ create mode 100644 glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/jira/components
+ create mode 100644 glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/jira/description
+ create mode 100644 glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/jira/startdate
+ create mode 100644 glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/jira/summary
+ create mode 100644 glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/status-summary.txt
+ create mode 100644 glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/status.txt
+ create mode 100644 glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64/build_url
+ create mode 100644 glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64/details.txt
+ create mode 100644 glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64/last_good
+ create mode 100644 glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
+ create mode 100644 glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64/status-summary.txt
+ create mode 100644 glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64/status.txt
+ create mode 100644 glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/status-summary.txt
+ create mode 100644 glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/status.txt
++ wait 97767
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
+ true
+ generate_jira_dir
+ set -euf -o pipefail
@@ -202,11 +1018,23 @@
++ set -euf -o pipefail
++ local print_arg=--entry
++ shift 1
-++ '[' xsingle_component '!=' xsingle_commit ']'
-++ return 0
-+ icommit_entry=
-+ '[' '' '!=' '' ']'
-+ mkdir -p artifacts/notify/jira
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir glibc 8f22e36238c94e2a89da624e03c224895f9dd691
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
+++ isubdir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
+++ case "$print_arg" in
+++ echo interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
++ icommit_entry=interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
++ '[' interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691 '!=' '' ']'
++ '[' -d interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/jira ']'
++ rsync -a interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/jira/ artifacts/notify/jira/
++ '[' -f artifacts/notify/jira/key ']'
+ '[' '' '!=' '' ']'
+ cat
++ print_jira_template_card
@@ -230,9 +1058,9 @@
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
-++ url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/792/artifact/artifacts
+++ url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/793/artifact/artifacts
++ '[' '' '!=' '' ']'
-++ echo 'https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/792/artifact/artifacts/notify/mail-body.txt/*view*/'
+++ echo 'https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/793/artifact/artifacts/notify/mail-body.txt/*view*/'
# print all notification files
+ echo '# print all notification files'
+ true
@@ -255,19 +1083,15 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=2d27dc1c750849f888b38fa7f0dadf6b376095de
++ base_rev=2f5524cc5381eb75fef55f7901bb907bd5628333
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=2f5524cc5381eb75fef55f7901bb907bd5628333
-+ read -r email
-++ git -C glibc log --pretty=%ae 2d27dc1c750849f888b38fa7f0dadf6b376095de..2f5524cc5381eb75fef55f7901bb907bd5628333
-+ emails["$email"]=cc
-+ read -r email
-+ emails["$email"]=cc
++ cur_rev=8f22e36238c94e2a89da624e03c224895f9dd691
+ read -r email
+++ git -C glibc log --pretty=%ae 2f5524cc5381eb75fef55f7901bb907bd5628333..8f22e36238c94e2a89da624e03c224895f9dd691
+ emails["$email"]=cc
+ read -r email
+ local precommit_postcommit=postcommit
@@ -278,19 +1102,15 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=2d27dc1c750849f888b38fa7f0dadf6b376095de
++ base_rev=2f5524cc5381eb75fef55f7901bb907bd5628333
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=2f5524cc5381eb75fef55f7901bb907bd5628333
-+ read -r email
-++ git -C glibc log --pretty=%ce 2d27dc1c750849f888b38fa7f0dadf6b376095de..2f5524cc5381eb75fef55f7901bb907bd5628333
-+ emails["$email"]=to
-+ read -r email
-+ emails["$email"]=to
++ cur_rev=8f22e36238c94e2a89da624e03c224895f9dd691
+ read -r email
+++ git -C glibc log --pretty=%ce 2f5524cc5381eb75fef55f7901bb907bd5628333..8f22e36238c94e2a89da624e03c224895f9dd691
+ emails["$email"]=to
+ read -r email
+ unset 'emails[author]' 'emails[committer]'
@@ -314,42 +1134,32 @@
+ case "$type" in
+ recipients+=("$email")
+ IFS=,
-+ echo cc:linaro-toolchain@lists.linaro.org,bcc:tcwg-validation@linaro.org,wilco.dijkstra@arm.com
++ echo cc:linaro-toolchain@lists.linaro.org,bcc:tcwg-validation@linaro.org,samuel.thibault@ens-lyon.org
++ print_commits --oneline
++ set -euf -o pipefail
++ false
++ local print_arg=--oneline
-++ '[' single_component = no_change ']'
+++ '[' single_commit = no_change ']'
++ local more_lines
-++ '[' single_component = single_commit ']'
-++ '[' single_component = single_component ']'
-++ local new_commits c base_rev cur_rev c_commits components
-++ local commits_or_patches
-++ '[' '' '!=' '' ']'
-++ commits_or_patches=commits
-++ new_commits=0
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git glibc_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_rev
-++ base_rev=2d27dc1c750849f888b38fa7f0dadf6b376095de
-+++ get_current_git glibc_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/glibc_rev
-++ cur_rev=2f5524cc5381eb75fef55f7901bb907bd5628333
-+++ git -C glibc rev-list --count 2d27dc1c750849f888b38fa7f0dadf6b376095de..2f5524cc5381eb75fef55f7901bb907bd5628333
-++ c_commits=3
-++ new_commits=3
-+++ echo glibc
-+++ tr ' ' ,
-++ components=glibc
-++ echo '3 commits in glibc'
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --oneline = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 glibc 8f22e36238c94e2a89da624e03c224895f9dd691 true
++++ local component=glibc
++++ local sha1=8f22e36238c94e2a89da624e03c224895f9dd691
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ git -C glibc describe 8f22e36238c94e2a89da624e03c224895f9dd691
+++ describe=glibc-2.38.9000-254-g8f22e36238
++++ echo glibc-2.38.9000-254-g8f22e36238
++++ sed 's,^basepoints/,,'
+++ describe=glibc-2.38.9000-254-g8f22e36238
++ '[' --oneline = --oneline ']'
+++ echo glibc-2.38.9000-254-g8f22e36238
++ return 0
++ gnu_print_result --oneline
++ false
@@ -386,17 +1196,17 @@
++ case "$print_arg" in
++ case "$ci_config" in
++ echo aarch64
-+ echo '[Linaro-TCWG-CI]' '3 commits in glibc: Success on aarch64'
++ echo '[Linaro-TCWG-CI]' 'glibc-2.38.9000-254-g8f22e36238: Success on aarch64'
+ print_mail_body
+ local bad_artifacts_url good_artifacts_url
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/792/artifact/artifacts
++ bad_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/793/artifact/artifacts
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-+ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/791/artifact/artifacts
++ good_artifacts_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/792/artifact/artifacts
+ cat
++ gnu_print_config --short
++ false
@@ -422,56 +1232,40 @@
++ set -euf -o pipefail
++ false
++ local print_arg=--short
-++ '[' single_component = no_change ']'
+++ '[' single_commit = no_change ']'
++ local more_lines
-++ '[' single_component = single_commit ']'
-++ '[' single_component = single_component ']'
-++ local new_commits c base_rev cur_rev c_commits components
-++ local commits_or_patches
-++ '[' '' '!=' '' ']'
-++ commits_or_patches=commits
-++ new_commits=0
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git glibc_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_rev
-++ base_rev=2d27dc1c750849f888b38fa7f0dadf6b376095de
-+++ get_current_git glibc_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/glibc_rev
-++ cur_rev=2f5524cc5381eb75fef55f7901bb907bd5628333
-+++ git -C glibc rev-list --count 2d27dc1c750849f888b38fa7f0dadf6b376095de..2f5524cc5381eb75fef55f7901bb907bd5628333
-++ c_commits=3
-++ new_commits=3
-+++ echo glibc
-+++ tr ' ' ,
-++ components=glibc
-++ echo '3 commits in glibc'
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --short = --link ']'
+++ local describe
+++ '[' '' = '' ']'
++++ describe_sha1 glibc 8f22e36238c94e2a89da624e03c224895f9dd691 true
++++ local component=glibc
++++ local sha1=8f22e36238c94e2a89da624e03c224895f9dd691
++++ local anything=true
++++ match=()
++++ local -a match
++++ case "$component" in
++++ git -C glibc describe 8f22e36238c94e2a89da624e03c224895f9dd691
+++ describe=glibc-2.38.9000-254-g8f22e36238
++++ echo glibc-2.38.9000-254-g8f22e36238
++++ sed 's,^basepoints/,,'
+++ describe=glibc-2.38.9000-254-g8f22e36238
++ '[' --short = --oneline ']'
-++ for c in "${changed_components[@]}"
-+++ get_baseline_git glibc_rev
-+++ set -euf -o pipefail
-+++ local base_artifacts=base-artifacts
-+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat base-artifacts/git/glibc_rev
-++ base_rev=2d27dc1c750849f888b38fa7f0dadf6b376095de
-+++ get_current_git glibc_rev
-+++ set -euf -o pipefail
-+++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
-+++ set -euf -o pipefail +x
-+++ cat artifacts/git/glibc_rev
-++ cur_rev=2f5524cc5381eb75fef55f7901bb907bd5628333
-+++ git -C glibc rev-list --count 2d27dc1c750849f888b38fa7f0dadf6b376095de..2f5524cc5381eb75fef55f7901bb907bd5628333
-++ c_commits=3
-++ '[' '' '!=' '' ']'
-++ git -C glibc log -n 5 --oneline 2d27dc1c750849f888b38fa7f0dadf6b376095de..2f5524cc5381eb75fef55f7901bb907bd5628333
-++ '[' 3 -gt 5 ']'
+++ '[' '' = '' ']'
+++ echo 'commit glibc-2.38.9000-254-g8f22e36238'
+++ local tmpfile
++++ mktemp
+++ tmpfile=/tmp/tmp.lH42WLgwmQ
+++ git -C glibc log -n1 8f22e36238c94e2a89da624e03c224895f9dd691
+++ tail -n +2
+++ head -n 10 /tmp/tmp.lH42WLgwmQ
++++ cat /tmp/tmp.lH42WLgwmQ
++++ wc -l
+++ more_lines=2
+++ '[' 2 -gt 0 ']'
+++ echo '... 2 lines of the commit log omitted.'
+++ rm /tmp/tmp.lH42WLgwmQ
++ '[' '' '!=' '' ']'
++ return 0
++ gnu_print_result --short
@@ -523,38 +1317,123 @@
++ local print_arg=--long
++ case "$print_arg" in
++ echo 'CI config tcwg_glibc_build/master-aarch64'
-+ '[' single_component '!=' single_commit ']'
-+ return
-+ echo '# generate dashboard'
++ '[' single_commit '!=' single_commit ']'
++ '[' '' '!=' '' ']'
++ local key
+++ print_jira_card_key
+++ set -euf -o pipefail
+++ local jira_dir
++++ interesting_subdir glibc 8f22e36238c94e2a89da624e03c224895f9dd691
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
+++ jira_dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
+++ jira_dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/jira
+++ '[' -f interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/jira/key ']'
+++ return 0
++ key=
++ '[' -z '' ']'
+++ print_jira_template_card
+++ local jira_card=GNU-692
+++ case "$ci_project/$ci_config:$changed_single_component" in
+++ echo GNU-692
++ key=GNU-692
++ cat
+++ print_last_icommit --reproduction_instructions_link tcwg_glibc_build master-aarch64
+++ false
+++ set -euf -o pipefail
+++ local print_arg=--reproduction_instructions_link
+++ shift 1
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir glibc 8f22e36238c94e2a89da624e03c224895f9dd691 tcwg_glibc_build master-aarch64
++++ local dir=glibc/sha1
++++ '[' 4 -ge 2 ']'
++++ dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
++++ '[' 4 -ge 3 ']'
++++ dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build
++++ '[' 4 -ge 4 ']'
++++ dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64
++++ echo glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64
+++ isubdir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64
+++ case "$print_arg" in
+++ print_icommits_link glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
+++ set -euf -o pipefail
+++ local path=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
+++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
+++ echo https://git-us.linaro.org/toolchain/ci/interesting-commits.git/plain/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64/reproduction_instructions.txt
+++ print_commits --link
+++ set -euf -o pipefail
+++ false
+++ local print_arg=--link
+++ '[' single_commit = no_change ']'
+++ local more_lines
+++ '[' single_commit = single_commit ']'
+++ local c=glibc
+++ '[' --link = --link ']'
+++ local url
++++ get_baseline_git glibc_url
++++ set -euf -o pipefail
++++ local base_artifacts=base-artifacts
++++ assert_with_msg 'ERROR: No glibc_url in baseline git' '[' -f base-artifacts/git/glibc_url ']'
++++ set -euf -o pipefail +x
++++ cat base-artifacts/git/glibc_url
+++ url=git://sourceware.org/git/glibc.git
+++ [[ git://sourceware.org/git/glibc.git =~ git://sourceware.org/git/ ]]
+++ url=glibc.git
+++ url='https://sourceware.org/git/?p=glibc.git'
+++ echo 'https://sourceware.org/git/?p=glibc.git;a=commitdiff;h=8f22e36238c94e2a89da624e03c224895f9dd691'
+++ return 0
+++ print_last_icommit --status
+++ false
+++ set -euf -o pipefail
+++ local print_arg=--status
+++ shift 1
+++ '[' xsingle_commit '!=' xsingle_commit ']'
+++ local isubdir
++++ interesting_subdir glibc 8f22e36238c94e2a89da624e03c224895f9dd691
++++ local dir=glibc/sha1
++++ '[' 2 -ge 2 ']'
++++ dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
++++ '[' 2 -ge 3 ']'
++++ '[' 2 -ge 4 ']'
++++ echo glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
+++ isubdir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
+++ case "$print_arg" in
+++ cat interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/status.txt
# generate dashboard
+# generate_dashboard_squad
+... Skipping
+# post_dashboard_squad
+... Skipping
++ echo '# generate dashboard'
+ generate_dashboard_squad
+ local results_date
-# generate_dashboard_squad
+ echo '# generate_dashboard_squad'
+ false
-... Skipping
+ echo '... Skipping'
+ return
+ post_dashboard_squad
-# post_dashboard_squad
-... Skipping
+ echo '# post_dashboard_squad'
+ false
+ echo '... Skipping'
+ return
+ generate_lnt_report
-+ wait 61721
++ wait 97890
+ set -euf -o pipefail
-+ echo '# generate_lnt_report'
# generate_lnt_report
++ echo '# generate_lnt_report'
+ true
+ case "$ci_project" in
+ . /home/tcwg-buildslave/workspace/tcwg_gnu_2/jenkins-scripts/lnt-utils.sh
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-+ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/792/ tcwg_glibc_build master-aarch64 artifacts/sumfiles artifacts/notify/lnt_report.json
-+ local build_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/792/
++ generate_lnt_gnu_check_report https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/793/ tcwg_glibc_build master-aarch64 artifacts/sumfiles artifacts/notify/lnt_report.json
++ local build_url=https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/793/
+ local ci_project=tcwg_glibc_build
+ local ci_config=master-aarch64
+ local sumfiles_dir=artifacts/sumfiles
@@ -568,8 +1447,8 @@ find: ‘artifacts/sumfiles’: No such file or directory
+ false
+ post_to_jira
+ set -euf -o pipefail
-# post_to_jira
+ echo '# post_to_jira'
+# post_to_jira
+ local post_card_comment=false
+ local post_template_comment=false
+ false
diff --git a/jenkins/notify-init.log b/jenkins/notify-init.log
index 93c0fdf..d8b5080 100644
--- a/jenkins/notify-init.log
+++ b/jenkins/notify-init.log
@@ -26,17 +26,17 @@
++ get_baseline_manifest BUILD_URL
++ get_manifest base-artifacts/manifest.sh BUILD_URL false
++ set +x
-# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/791/
-+ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/791/'
+# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/792/
++ echo '# Baseline : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/792/'
# Using dir : base-artifacts
+ echo '# Using dir : base-artifacts'
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
-# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/792/
-+ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/792/'
+# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/793/
# Using dir : artifacts
++ echo '# Artifacts : https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/793/'
+ echo '# Using dir : artifacts'
+ echo ''
+ mkdir -p artifacts/notify
@@ -76,7 +76,7 @@
+++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
+++ set -euf -o pipefail +x
+++ cat base-artifacts/git/glibc_rev
-++ '[' x2f5524cc5381eb75fef55f7901bb907bd5628333 '!=' x2d27dc1c750849f888b38fa7f0dadf6b376095de ']'
+++ '[' x8f22e36238c94e2a89da624e03c224895f9dd691 '!=' x2f5524cc5381eb75fef55f7901bb907bd5628333 ']'
++ echo -ne glibc
++ delim=' '
++ echo
@@ -89,17 +89,17 @@
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ first_bad=2f5524cc5381eb75fef55f7901bb907bd5628333
++ first_bad=8f22e36238c94e2a89da624e03c224895f9dd691
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
++ local base_artifacts=base-artifacts
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ last_good=2d27dc1c750849f888b38fa7f0dadf6b376095de
++ last_good=2f5524cc5381eb75fef55f7901bb907bd5628333
+ local res
+ res=0
-+ wait 61464
++ wait 59589
+ git -C glibc rev-parse --verify HEAD
+ assert_with_msg 'Cannot parse HEAD in repo glibc' '[' 0 = 0 ']'
+ set -euf -o pipefail +x
@@ -113,22 +113,22 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=2d27dc1c750849f888b38fa7f0dadf6b376095de
++ base_rev=2f5524cc5381eb75fef55f7901bb907bd5628333
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=2f5524cc5381eb75fef55f7901bb907bd5628333
-++ git -C glibc rev-parse '2f5524cc5381eb75fef55f7901bb907bd5628333^@'
++ cur_rev=8f22e36238c94e2a89da624e03c224895f9dd691
+++ git -C glibc rev-parse '8f22e36238c94e2a89da624e03c224895f9dd691^@'
+ for sha1 in $(git -C "$c" rev-parse "$cur_rev^@")
-+ '[' 3d7090f14b13312320e425b27dcf0fe72de026fd = 2d27dc1c750849f888b38fa7f0dadf6b376095de ']'
-+ return 1
-+ change_kind=single_component
-+ echo '# Debug traces :'
++ '[' 2f5524cc5381eb75fef55f7901bb907bd5628333 = 2f5524cc5381eb75fef55f7901bb907bd5628333 ']'
++ return 0
++ change_kind=single_commit
# Debug traces :
-# change_kind=single_component : glibc
-+ echo '# change_kind=single_component : glibc'
++ echo '# Debug traces :'
+# change_kind=single_commit : glibc
++ echo '# change_kind=single_commit : glibc'
+ for c in "${changed_components[@]}"
++ get_baseline_git glibc_rev
++ set -euf -o pipefail
@@ -136,18 +136,18 @@
++ assert_with_msg 'ERROR: No glibc_rev in baseline git' '[' -f base-artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat base-artifacts/git/glibc_rev
-+ base_rev=2d27dc1c750849f888b38fa7f0dadf6b376095de
++ base_rev=2f5524cc5381eb75fef55f7901bb907bd5628333
++ get_current_git glibc_rev
++ set -euf -o pipefail
++ assert_with_msg 'ERROR: No glibc_rev in current git' '[' -f artifacts/git/glibc_rev ']'
++ set -euf -o pipefail +x
++ cat artifacts/git/glibc_rev
-+ cur_rev=2f5524cc5381eb75fef55f7901bb907bd5628333
-++ git -C glibc rev-list --count 2d27dc1c750849f888b38fa7f0dadf6b376095de..2f5524cc5381eb75fef55f7901bb907bd5628333
-+ c_commits=3
-# rev for glibc : 2d27dc1c750849f888b38fa7f0dadf6b376095de..2f5524cc5381eb75fef55f7901bb907bd5628333 (3 commits)
++ cur_rev=8f22e36238c94e2a89da624e03c224895f9dd691
+++ git -C glibc rev-list --count 2f5524cc5381eb75fef55f7901bb907bd5628333..8f22e36238c94e2a89da624e03c224895f9dd691
++ c_commits=1
++ echo '# rev for glibc : 2f5524cc5381eb75fef55f7901bb907bd5628333..8f22e36238c94e2a89da624e03c224895f9dd691 (1 commits)'
+# rev for glibc : 2f5524cc5381eb75fef55f7901bb907bd5628333..8f22e36238c94e2a89da624e03c224895f9dd691 (1 commits)
-+ echo '# rev for glibc : 2d27dc1c750849f888b38fa7f0dadf6b376095de..2f5524cc5381eb75fef55f7901bb907bd5628333 (3 commits)'
+ echo ''
+ setup_stages_to_run
+ '[' ignore = onregression ']'
@@ -171,12 +171,267 @@
+ print_config_f=gnu_print_config
+ post_interesting_commits init
+ set -euf -o pipefail
-+ echo '# post_interesting_commits'
# post_interesting_commits
++ echo '# post_interesting_commits'
++ local stage=init
++ '[' single_commit '!=' single_commit ']'
++ clone_or_update_repo interesting-commits master https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ clone_or_update_repo_no_checkout interesting-commits https://git-us.linaro.org/toolchain/ci/interesting-commits.git auto master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local reference=auto
++ local single_branch=master
++ local remote=origin
++ local refopt=
++ case "$reference" in
++ local ref_dir
++ for ref_dir in $url $dir
+++ basename https://git-us.linaro.org/toolchain/ci/interesting-commits.git .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ for ref_dir in $url $dir
+++ basename interesting-commits .git
++ ref_dir=interesting-commits
++ ref_dir=/home/tcwg-buildslave/snapshots-ref/interesting-commits.git
++ git -C /home/tcwg-buildslave/snapshots-ref/interesting-commits.git rev-parse --git-dir
++ '[' -d /home/tcwg-buildslave/snapshots-ref/interesting-commits.git ']'
++ git -C interesting-commits status
++ '[' -d interesting-commits ']'
++ '[' x '!=' x ']'
++ '[' -d interesting-commits ']'
++ rm -f interesting-commits/.git/gc.log
++ git -C interesting-commits config gc.autoDetach false
++ git -C interesting-commits gc --auto --force --prune=all
++ find interesting-commits/.git -name '*.lock' -delete
++ local i
++ for i in am cherry-pick rebase
++ git -C interesting-commits am --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits cherry-pick --abort
++ true
++ for i in am cherry-pick rebase
++ git -C interesting-commits rebase --abort
++ true
++ git_set_remote interesting-commits origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local remote=origin
++ local url=https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local single_branch=master
++ git -C interesting-commits remote rm origin
++ git -C interesting-commits remote add -t master origin https://git-us.linaro.org/toolchain/ci/interesting-commits.git
++ local refspec
++ '[' xmaster = x ']'
++ refspec=+refs/heads/master:refs/remotes/origin/master
++ run_with_timeout_and_retry 1h 3 git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ local duration=1h
++ shift
++ local tries=3
++ shift
++ local n=0
++ local ret=0
++ '[' 0 -eq 3 ']'
+timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ echo timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ ret=0
++ wait 59669
++ timeout 1h git -C interesting-commits fetch -q origin +refs/heads/master:refs/remotes/origin/master --prune
++ '[' 0 -eq 0 ']'
++ break
++ return 0
++ git_checkout interesting-commits master origin
++ set -euf -o pipefail
++ local dir=interesting-commits
++ local ref=master
++ local remote=origin
++ git_clean interesting-commits
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard
++ local sha1
+++ git_rev_parse interesting-commits master origin
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ '[' 3 -ge 3 ']'
+++ remote=origin
+++ git_rev_parse_1 interesting-commits master origin --short
+++ set -euf -o pipefail
+++ local dir=interesting-commits
+++ local ref=master
+++ local remote=origin
+++ local opts=--short
+++ local ret
+++ cd interesting-commits
+++ local sha1 try_ref
+++ case "$ref" in
+++ try_ref=refs/remotes/origin/master
+++ ret=0
++++ git rev-parse --short refs/remotes/origin/master
+++ sha1=3fff29f42
+++ '[' 0 -ne 0 ']'
+++ echo 3fff29f42
++ sha1=3fff29f42
++ git -C interesting-commits checkout --detach 3fff29f42
+Warning: you are leaving 1 commit behind, not connected to
+any of your branches:
+
+ d081804c6 Add entry e5da53e26f4e3b14c542a0cb65828a3a9e574ca3 from https://ci.linaro.org/job/tcwg_gdb_build--master-aarch64-build/426/
+
+If you want to keep it by creating a new branch, this may be a good time
+to do so with:
+
+ git branch <new-branch-name> d081804c6
+
+HEAD is now at 3fff29f42 Add entry 879cf9ff45d94065d89e24b71c6b27c7076ac518 from https://ci.linaro.org/job/tcwg_gnu_embed_check_gcc--master-arm_eabi-build/462/
++ false
++ dryrun='echo DRYRUN: '
++ local jira_dir jira_key=
+++ interesting_subdir glibc 8f22e36238c94e2a89da624e03c224895f9dd691
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
++ jira_dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
++ jira_dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/jira
++ '[' init = full ']'
++ true
++ git -C interesting-commits remote update -p
+Fetching baseline
+From ssh://review.linaro.org:29418/toolchain/ci/interesting-commits
+ ba92d25ee..3fff29f42 master -> baseline/master
+Fetching origin
++ git_clean interesting-commits refs/remotes/origin/master
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift
++ fresh_dir interesting-commits 'interesting-commits/.git/*'
++ set -euf -o pipefail
++ local dir=interesting-commits
++ shift 1
+++ dirname interesting-commits/something
++ dir=interesting-commits
++ mkdir -p interesting-commits
++ find_opts=("!" "-path" "$dir")
++ for keep_pattern in "$@"
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname 'interesting-commits/.git/*'
++ keep_pattern=interesting-commits/.git
++ '[' xinteresting-commits/.git = xinteresting-commits ']'
++ assert '[' interesting-commits/.git '!=' / -a interesting-commits/.git '!=' . ']'
++ set -euf -o pipefail +x
++ :
++ find_opts+=("!" "-path" "$keep_pattern")
+++ dirname interesting-commits/.git
++ keep_pattern=interesting-commits
++ '[' xinteresting-commits = xinteresting-commits ']'
++ break
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -type d -exec chmod +rwx '{}' ';'
++ chmod -R +rw interesting-commits
++ find interesting-commits '!' -path interesting-commits '!' -path 'interesting-commits/.git/*' '!' -path interesting-commits/.git -delete
++ git -C interesting-commits reset -q --hard refs/remotes/origin/master
+# update_interesting_commits
++ update_interesting_commits init ''
++ echo '# update_interesting_commits'
+ local stage=init
-+ '[' single_component '!=' single_commit ']'
++ local jira_key=
++ local subdir3 subdir4 subdir4
+++ interesting_subdir glibc 8f22e36238c94e2a89da624e03c224895f9dd691
+++ local dir=glibc/sha1
+++ '[' 2 -ge 2 ']'
+++ dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
+++ '[' 2 -ge 3 ']'
+++ '[' 2 -ge 4 ']'
+++ echo glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
++ subdir3=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
+++ interesting_subdir glibc 8f22e36238c94e2a89da624e03c224895f9dd691 tcwg_glibc_build
+++ local dir=glibc/sha1
+++ '[' 3 -ge 2 ']'
+++ dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
+++ '[' 3 -ge 3 ']'
+++ dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build
+++ '[' 3 -ge 4 ']'
+++ echo glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build
++ subdir4=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build
+++ interesting_subdir glibc 8f22e36238c94e2a89da624e03c224895f9dd691 tcwg_glibc_build master-aarch64
+++ local dir=glibc/sha1
+++ '[' 4 -ge 2 ']'
+++ dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
+++ '[' 4 -ge 3 ']'
+++ dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build
+++ '[' 4 -ge 4 ']'
+++ dir=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64
+++ echo glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64
++ subdir5=glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64
++ '[' -d interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691 ']'
++ mkdir -p interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ git -C interesting-commits add glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/first_url
++ mkdir -p interesting-commits/glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64
++ get_current_manifest BUILD_URL
++ get_manifest artifacts/manifest.sh BUILD_URL
++ set +x
++ echo 2f5524cc5381eb75fef55f7901bb907bd5628333
++ git -C interesting-commits add glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64/build_url glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64/last_good
++ '[' init '!=' full ']'
+ return
+++ get_current_manifest BUILD_URL
+++ get_manifest artifacts/manifest.sh BUILD_URL
+++ set +x
++ git -C interesting-commits commit -m 'Add entry 8f22e36238c94e2a89da624e03c224895f9dd691 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/793/'
+[detached HEAD 46de559a1] Add entry 8f22e36238c94e2a89da624e03c224895f9dd691 from https://ci.linaro.org/job/tcwg_glibc_build--master-aarch64-build/793/
+ 3 files changed, 3 insertions(+)
+ create mode 100644 glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/first_url
+ create mode 100644 glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64/build_url
+ create mode 100644 glibc/sha1/8f22e36238c94e2a89da624e03c224895f9dd691/tcwg_glibc_build/master-aarch64/last_good
++ wait 72193
++ echo DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
+DRYRUN: git -C interesting-commits push ssh://git-us.linaro.org/toolchain/ci/interesting-commits.git HEAD:refs/heads/master
++ break
+ '[' init '!=' full ']'
-Init stage ran successfully.
+ echo 'Init stage ran successfully.'
+Init stage ran successfully.
+ exit 0
diff --git a/jenkins/run-build.env b/jenkins/run-build.env
index 716eccf..3a286ae 100644
--- a/jenkins/run-build.env
+++ b/jenkins/run-build.env
@@ -1,15 +1,15 @@
-build_name="#792"
+build_name="#793"
docker_opts=(--distro
default
--arch
arm64
--node
-tcwg-snow-02
+tcwg-jade-05
--security
'' )
source build_container.sh
trap "cleanup_all_containers" EXIT
-build_name="#792-glibc"
+build_name="#793-glibc"
branch_opt=(==rr\[glibc_git\]
git://sourceware.org/git/glibc.git#master )
-build_name="#792-glibc-R1"
+build_name="#793-glibc-R1"